Subject: Re: [re-ECN] RE-ECN without ECN. ([email-masked])

From: "Ingemar Johansson S" <[email-masked]>
Date: Thu, 8 Oct 2009 13:48:46 +0200

Hi

For those interested in the standards status for ECN in 3GPP networks,
the following doc may be of interest.
http://ftp.3gpp.org/ftp/tsg_sa/WG4_CODEC/TSGS4_55/Docs/S4-090681.zip
http://ftp.3gpp.org/ftp/tsg_sa/WG4_CODEC/TSGS4_55/Docs/S4-090683.zip
The docs propose the use of ECN for (speech)codec rate adaptation. Part
of the "ECN for RTP" work in the AVT WG is because of this standards
efforts in 3GPP.

Other use of ECN is currently not defined.

/Ingemar

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: den 8 oktober 2009 12:58
> To: [email-masked]
> Subject: re-ECN Digest, Vol 8, Issue 51
> 
> If you have received this digest without all the individual 
> message attachments you will need to update your digest 
> options in your list subscription.  To do so, go to 
> 
> https://www.ietf.org/mailman/listinfo/re-ecn
> 
> Click the 'Unsubscribe or edit options' button, log in, and 
> set "Get MIME or Plain Text Digests?" to MIME.  You can set 
> this option globally for all the list digests you receive at 
> this point.
> 
> 
> 
> Send re-ECN mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.ietf.org/mailman/listinfo/re-ecn
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more 
> specific than "Re: Contents of re-ECN digest..."
> 
> 
> Today's Topics:
> 
>    1. Re:  RE-ECN without ECN. ([email-masked])
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Thu, 8 Oct 2009 11:59:58 +0100
> From: <[email-masked]>
> Subject: Re: [re-ECN] RE-ECN without ECN.
> To: <[email-masked]>,	<[email-masked]>,	
> <[email-masked]>
> Cc: [email-masked]
> Message-ID:
> 	
> <[email-masked]
> .systemhost.net>
> 	
> Content-Type: text/plain;	charset="us-ascii"
> 
> [phil] one follow-up on the comment below about GTP-U 
> tunnels. Getting congestion marking correct for tunnels other 
> than IP/IPsec is certainly important - I guess in general 
> that has to be taken up with other standards bodies. There is 
> some guidance in an earlier version of Bob's tunnel draft 
> about guidelines for what needs to be done for a generic 
> tunnel type; it disappeared in more recent versions (in order 
> to focus on ietf specifics). I think it might be worth 
> resurrecting this content at some point - maybe once the 
> tunnel draft has progressed in ietf (currently, it's nearly 
> done in tsvwg [I think!]) phil
> 
> > 
> > I agree all around.   Bob has been putting a lot of effort 
> into making
> > sure that the specifications for tunnels say the right 
> things.   What
> > I don't know is if there have been any measurements of the 
> population 
> > of devices that do busted things, such not updating the 
> inner ECN bits
> > from the outer header on decapsulation.   (But note that this is
> > busted for all variants of ECN).
> 
> Again to the mobile network. One of the most (variably) 
> congested networks out there is the mobile backhaul network. 
> In 3GPP, this is carried in a tunnel type called GTP-U. I've 
> not found GTP-U implementations to be much for moving 
> markings from outer to inner (e.g. DSCP). I've done a quick 
> check on a couple of networks, and did not observe ECN marked 
> on the inner, so i can't say if they support ECN 'moving the mark'.
> 
> One of the things i am hopeful to use re-ECN for in our 
> products is as an indication of backhaul health (and i dream 
> someday of RF health) so that we can break reporting 
> information down by 'this is what 
> congested/near-congested/non-congested links are doing'. So 
> i'm hopeful it can be made to work in GTP-U (which implies 
> getting ECN basis working).
> 
> --don
> 
> _______________________________________________
> re-ECN mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/re-ecn
> 
> 
> ------------------------------
> 
> _______________________________________________
> re-ECN mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/re-ecn
> 
> 
> End of re-ECN Digest, Vol 8, Issue 51
> *************************************
>